# class Clipboard

#### package openfl.desktop

Available on all platforms

### Variables

###

`read onlywrite onlyformats:Array<ClipboardFormats>`

### Methods

###

`clear ():Void`

###

`clearData (format:ClipboardFormats):Void`

###

`getData (format:ClipboardFormats, ?transferMode:ClipboardTransferMode):Object`

###

`hasFormat (format:ClipboardFormats):Bool`

###

`setData (format:ClipboardFormats, data:Object, serializable:Bool = true):Bool`

###

`setDataHandler (format:ClipboardFormats, handler:Void ‑> Dynamic, serializable:Bool = true):Bool`

### Static variables

###

`staticread onlygeneralClipboard:Clipboard`